/***********************************************************************/
/*    Transducer Block 5                                                 */
/***********************************************************************/

BLOCK transducer_block_5
{
    TYPE    TRANSDUCER;
    NUMBER    5;
}
trans2_LCD_1_blk_reserve                          LIKE VARIABLE    phys_blk_reserve
{
}

VARIABLE trans2_LCD_1_blk_object
{
    LABEL        [blk_block_object];
    HELP        [blk_block_object_help];
    CLASS        CONTAINED;
    TYPE        ENUMERATED(1)
    {
        {    3,    [blk_block_object_TRANSDUCER]        }

    }
    CLASS       DEVICE;// TEMPORARY ;
    HANDLING    READ;
}

VARIABLE trans2_LCD_1_blk_parent_class
{
    LABEL        [blk_parent_class];
    HELP        [trans_blk_parent_class_help];
    CLASS        CONTAINED;
    TYPE        ENUMERATED(1)
    {
        {    128,    "Manufacturer Lcd"   }
//        {    240,    "Converter"   }
    }
    HANDLING    READ;
}

VARIABLE trans2_LCD_1_blk_class
{
    LABEL        [blk_class];
    HELP        [trans_blk_class_help];
    CLASS        CONTAINED;
    TYPE        ENUMERATED(1)
    {
        SELECT( trans2_LCD_1_blk_parent_class )
        {
//            CASE 240:
            CASE 128:
            {    1,       "Manufacturer lcd"         },//"Fieldbus to Current" 

            DEFAULT:
            {    1,        [standard]                    },
        }
//        {    128,    "Manufacturer-specific"             },
        {    250,    [not_used]                          },
        {    251,    [none]                              },
        {    252,    [unknown]                           },
        {    253,    [special]                           }
    }
    CLASS       DEVICE;//TEMPORARY ;
    HANDLING    READ;
}

trans2_LCD_1_blk_dd_reference                     LIKE VARIABLE    phys_blk_dd_reference
{
}

trans2_LCD_1_blk_dd_rev                           LIKE VARIABLE    phys_blk_dd_rev
{
}

trans2_LCD_1_blk_profile                          LIKE VARIABLE    phys_blk_profile
{
}

trans2_LCD_1_blk_profile_rev                      LIKE VARIABLE    phys_blk_profile_rev
{
}

trans2_LCD_1_blk_execution_time                   LIKE VARIABLE    phys_blk_execution_time
{
}

trans2_LCD_1_blk_num_parameters                   LIKE VARIABLE    phys_blk_num_parameters
{
}

trans2_LCD_1_blk_index_view_1                     LIKE VARIABLE    phys_blk_index_view_1
{
}

trans2_LCD_1_blk_num_view_lists                   LIKE VARIABLE    phys_blk_num_view_lists
{
}

trans2_LCD_1_st_rev                               LIKE VARIABLE    phys_st_rev
{
}

trans2_LCD_1_tag_desc                             LIKE VARIABLE    phys_tag_desc
{
    REDEFINE LABEL        "Transducer 5 Tag";
}

trans2_LCD_1_strategy                             LIKE VARIABLE    phys_strategy
{
}

trans2_LCD_1_alert_key                            LIKE VARIABLE    phys_alert_key
{
}

trans2_LCD_1_target_mode                          LIKE VARIABLE    phys_target_mode
{
}

trans2_LCD_1_actual_mode                          LIKE VARIABLE    phys_actual_mode
{
}

trans2_LCD_1_permitted_mode                       LIKE VARIABLE    phys_permitted_mode
{
}

trans2_LCD_1_normal_mode                          LIKE VARIABLE    phys_normal_mode
{
}

trans2_LCD_1_current_state_alarm_sum              LIKE VARIABLE    phys_current_state_alarm_sum
{
}

trans2_LCD_1_unacknowledged_state_alarm_sum       LIKE VARIABLE    phys_unacknowledged_state_alarm_sum
{
}

trans2_LCD_1_unreported_state_alarm_sum           LIKE VARIABLE    phys_unreported_state_alarm_sum
{
}

trans2_LCD_1_disabled_state_alarm_sum             LIKE VARIABLE    phys_disabled_state_alarm_sum
{
}



/*---------------------------------------------------------------------*/
/*    Transducer Block: Fieldbus to Current Converter                  */
/*---------------------------------------------------------------------*/

VARIABLE trans2_LCD_1_LcdEnable_1             /* index 8 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 1 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdEnable_2             /* index 9 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 2 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdEnable_3            /* index 10 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 3 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdEnable_4             /* index 11 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 4 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdEnable_5            /* index 12 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 5 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdEnable_6             /* index 13 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 6 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans2_LCD_1_LcdEnable_7             /* index 14 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 7 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdEnable_8             /* index15 */
{
    LABEL       "Set Lcd Display Enable";
    HELP        "LCD 8 On or Off";
    HANDLING    READ & WRITE;
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	0,	"OFF"		},
		{	1,	"ON"	    }
	}
	HANDLING	READ & WRITE;
}


VARIABLE trans2_LCD_1_LcdDisType_1             /* index 8 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 1 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	1;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDisType_2             /* index 9 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 2 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	3;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDisType_3             /* index 10 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 3 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	4;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans2_LCD_1_LcdDisType_4             /* index 11 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 4 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	6;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDisType_5             /* index 12 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 5 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	7;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDisType_6             /* index 13*/
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 6 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	9;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDisType_7             /* index 14 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 7 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	10;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDisType_8             /* index 15 */
{
    LABEL       "Select Lcd Display Type";
    HELP        "LCD 8 Display Type";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	12;
		{	1,	"CH1_SP "		},
        {	2,	"CH1_AO "		},
        {	3,	"CH1_FV "		},
        {	4,	"CH2_SP "		},
        {	5,	"CH2_AO "		},
        {	6,	"CH2_FV "		},
        {	7,	"CH3_SP "		},
        {	8,	"CH3_AO "		},
        {	9,	"CH3_FV "		},
        {	10,	"CH4_SP "		},
        {	11,	"CH4_AO "		},
        {	12,	"CH4_FV "		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans2_LCD_1_LcdDecimalPoint_1             /* index 8*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 1 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDecimalPoint_2             /* index 9*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 2 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDecimalPoint_3             /* index 10*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 3 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}

VARIABLE trans2_LCD_1_LcdDecimalPoint_4             /* index 11*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 4 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDecimalPoint_5             /* index 12*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 5 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDecimalPoint_6             /* index 13*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 6 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}

VARIABLE trans2_LCD_1_LcdDecimalPoint_7             /* index 14*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 7 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}
VARIABLE trans2_LCD_1_LcdDecimalPoint_8             /* index 15*/
{
    LABEL       "Select Lcd Display Decimal Point";
    HELP        "LCD 8 LcdDecimalPoint";
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
    {
    	DEFAULT_VALUE	2;
		{	0,	"0"		},
        {	1,	"1"		},
        {	2,	"2"		},
        {	3,	"3"		},
        {	4,	"4"		},
        {	5,	"5"		}

	}
	HANDLING	READ & WRITE;
}
/*---------------------------------------------------------------------*/
/*    Commands                                                         */
/*---------------------------------------------------------------------*/
/***********************************************************************/
/*    Transducer Block 5                                               */
/***********************************************************************/
COMMAND read_trans2_LCD_1_blk
{
    BLOCK transducer_block_5;
    INDEX 0;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_blk_reserve,
            trans2_LCD_1_blk_object, 
            trans2_LCD_1_blk_parent_class, 
            trans2_LCD_1_blk_class,
            trans2_LCD_1_blk_dd_reference, 
            trans2_LCD_1_blk_dd_rev, 
            trans2_LCD_1_blk_profile, 
            trans2_LCD_1_blk_profile_rev,
            trans2_LCD_1_blk_execution_time, 
            trans2_LCD_1_blk_num_parameters, 
            trans2_LCD_1_blk_index_view_1,
            trans2_LCD_1_blk_num_view_lists
        }
    }
}

COMMAND read_trans2_LCD_1_st_rev
{
    BLOCK transducer_block_5;
    INDEX 1;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_st_rev
        }
    }
}

COMMAND read_trans2_LCD_1_tag_desc
{
    BLOCK transducer_block_5;
    INDEX 2;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_tag_desc
        }
    }
}

COMMAND write_trans2_LCD_1_tag_desc
{
    BLOCK transducer_block_5;
    INDEX 2;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_tag_desc
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans2_LCD_1_strategy
{
    BLOCK transducer_block_5;
    INDEX 3;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_strategy
        }
    }
}

COMMAND write_trans2_LCD_1_strategy
{
    BLOCK transducer_block_5;
    INDEX 3;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_strategy
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans2_LCD_1_alert_key
{
    BLOCK transducer_block_5;
    INDEX 4;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_alert_key
        }
    }
}

COMMAND write_trans2_LCD_1_alert_key
{
    BLOCK transducer_block_5;
    INDEX 4;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_alert_key
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans2_LCD_1_target_mode
{
    BLOCK transducer_block_5;
    INDEX 5;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_target_mode
        }
    }
}

COMMAND write_trans2_LCD_1_target_mode
{
    BLOCK transducer_block_5;
    INDEX 5;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_target_mode
        }
        REPLY
        {
        }
    }
}


COMMAND read_trans2_LCD_1_mode
{
    BLOCK transducer_block_5;
    INDEX 6;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_actual_mode,
            trans2_LCD_1_permitted_mode,
            trans2_LCD_1_normal_mode
        }
    }
}

COMMAND read_trans2_LCD_1_alarm
{
    BLOCK transducer_block_5;
    INDEX 7;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_current_state_alarm_sum, 
            trans2_LCD_1_unacknowledged_state_alarm_sum,
            trans2_LCD_1_unreported_state_alarm_sum, 
            trans2_LCD_1_disabled_state_alarm_sum
        }
    }
}


COMMAND read_trans2_LCD_1_LcdParam1
{
    BLOCK transducer_block_5;
    INDEX 8;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_1,
            trans2_LCD_1_LcdDisType_1,
            trans2_LCD_1_LcdDecimalPoint_1

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam1
{
    BLOCK transducer_block_5;
    INDEX 8;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_1,
            trans2_LCD_1_LcdDisType_1,
            trans2_LCD_1_LcdDecimalPoint_1
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans2_LCD_1_LcdParam2
{
    BLOCK transducer_block_5;
    INDEX 9;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_2,
            trans2_LCD_1_LcdDisType_2,
            trans2_LCD_1_LcdDecimalPoint_2

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam2
{
    BLOCK transducer_block_5;
    INDEX 9;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_2,
            trans2_LCD_1_LcdDisType_2,
            trans2_LCD_1_LcdDecimalPoint_2
        }
        REPLY
        {
        }
    }
}
COMMAND read_trans2_LCD_1_LcdParam3
{
    BLOCK transducer_block_5;
    INDEX 10;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_3,
            trans2_LCD_1_LcdDisType_3,
            trans2_LCD_1_LcdDecimalPoint_3

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam3
{
    BLOCK transducer_block_5;
    INDEX 10;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_3,
            trans2_LCD_1_LcdDisType_3,
            trans2_LCD_1_LcdDecimalPoint_3
        }
        REPLY
        {
        }
    }
}
COMMAND read_trans2_LCD_1_LcdParam4
{
    BLOCK transducer_block_5;
    INDEX 11;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_4,
            trans2_LCD_1_LcdDisType_4,
            trans2_LCD_1_LcdDecimalPoint_4

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam4
{
    BLOCK transducer_block_5;
    INDEX 11;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_4,
            trans2_LCD_1_LcdDisType_4,
            trans2_LCD_1_LcdDecimalPoint_4
        }
        REPLY
        {
        }
    }
}
COMMAND read_trans2_LCD_1_LcdParam5
{
    BLOCK transducer_block_5;
    INDEX 12;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_5,
            trans2_LCD_1_LcdDisType_5,
            trans2_LCD_1_LcdDecimalPoint_5

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam5
{
    BLOCK transducer_block_5;
    INDEX 12;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_5,
            trans2_LCD_1_LcdDisType_5,
            trans2_LCD_1_LcdDecimalPoint_5
        }
        REPLY
        {
        }
    }
}
COMMAND read_trans2_LCD_1_LcdParam6
{
    BLOCK transducer_block_5;
    INDEX 13;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_6,
            trans2_LCD_1_LcdDisType_6,
            trans2_LCD_1_LcdDecimalPoint_6

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam6
{
    BLOCK transducer_block_5;
    INDEX 13;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_6,
            trans2_LCD_1_LcdDisType_6,
            trans2_LCD_1_LcdDecimalPoint_6
        }
        REPLY
        {
        }
    }
}
COMMAND read_trans2_LCD_1_LcdParam7
{
    BLOCK transducer_block_5;
    INDEX 14;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_7,
            trans2_LCD_1_LcdDisType_7,
            trans2_LCD_1_LcdDecimalPoint_7

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam7
{
    BLOCK transducer_block_5;
    INDEX 14;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_7,
            trans2_LCD_1_LcdDisType_7,
            trans2_LCD_1_LcdDecimalPoint_7
        }
        REPLY
        {
        }
    }
}
COMMAND read_trans2_LCD_1_LcdParam8
{
    BLOCK transducer_block_5;
    INDEX 15;
    OPERATION  READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans2_LCD_1_LcdEnable_8,
            trans2_LCD_1_LcdDisType_8,
            trans2_LCD_1_LcdDecimalPoint_8

        }
    }
}

COMMAND write_trans2_LCD_1_LcdParam8
{
    BLOCK transducer_block_5;
    INDEX 15;
    OPERATION  WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans2_LCD_1_LcdEnable_8,
            trans2_LCD_1_LcdDisType_8,
            trans2_LCD_1_LcdDecimalPoint_8
        }
        REPLY
        {
        }
    }
}

MENU OfflineWindow_LCD_display
{
    LABEL "LCD Display(8)";
    ITEMS
    {
        Page_LCD1_Settings,
        Page_LCD2_Settings,
        Page_LCD3_Settings,
        Page_LCD4_Settings,
        Page_LCD5_Settings,
        Page_LCD6_Settings,
        Page_LCD7_Settings,
        Page_LCD8_Settings
    }
}

MENU Page_LCD1_Settings
{
    LABEL "LCD1-Settings";
    ITEMS
    {
        Group_LCD1_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD2_Settings
{
    LABEL "LCD2-Settings";
    ITEMS
    {
        Group_LCD2_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD3_Settings
{
    LABEL "LCD3-Settings";
    ITEMS
    {
        Group_LCD3_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD4_Settings
{
    LABEL "LCD4-Settings";
    ITEMS
    {
        Group_LCD4_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD5_Settings
{
    LABEL "LCD5-Settings";
    ITEMS
    {
        Group_LCD5_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD6_Settings
{
    LABEL "LCD6-Settings";
    ITEMS
    {
        Group_LCD6_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD7_Settings
{
    LABEL "LCD7-Settings";
    ITEMS
    {
        Group_LCD7_Settings,
        COLUMNBREAK
    }
}
MENU Page_LCD8_Settings
{
    LABEL "LCD8-Settings";
    ITEMS
    {
        Group_LCD8_Settings,
        COLUMNBREAK
    }
}


MENU Group_LCD1_Settings
{
    LABEL "LCD1-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_1,
        trans2_LCD_1_LcdDisType_1,
        trans2_LCD_1_LcdDecimalPoint_1,
    }
}
MENU Group_LCD2_Settings
{
    LABEL "LCD2-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_2,
        trans2_LCD_1_LcdDisType_2,
        trans2_LCD_1_LcdDecimalPoint_2,
    }
}
MENU Group_LCD3_Settings
{
    LABEL "LCD3-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_3,
        trans2_LCD_1_LcdDisType_3,
        trans2_LCD_1_LcdDecimalPoint_3,
    }
}
MENU Group_LCD4_Settings
{
    LABEL "LCD4-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_4,
        trans2_LCD_1_LcdDisType_4,
        trans2_LCD_1_LcdDecimalPoint_4,
    }
}
MENU Group_LCD5_Settings
{
    LABEL "LCD5-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_5,
        trans2_LCD_1_LcdDisType_5,
        trans2_LCD_1_LcdDecimalPoint_5,
    }
}
MENU Group_LCD6_Settings
{
    LABEL "LCD6-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_6,
        trans2_LCD_1_LcdDisType_6,
        trans2_LCD_1_LcdDecimalPoint_6,
    }
}

MENU Group_LCD7_Settings
{
    LABEL "LCD7-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_7,
        trans2_LCD_1_LcdDisType_7,
        trans2_LCD_1_LcdDecimalPoint_7,
    }
}

MENU Group_LCD8_Settings
{
    LABEL "LCD8-Settings";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_8,
        trans2_LCD_1_LcdDisType_8,
        trans2_LCD_1_LcdDecimalPoint_8,
    }
}

MENU Tab_s_LCD_1
{
    LABEL "Define LCD1 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_1,
        trans2_LCD_1_LcdDisType_1,
        trans2_LCD_1_LcdDecimalPoint_1
    }
}
MENU Tab_s_LCD_2
{
    LABEL "Define LCD2 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_2,
        trans2_LCD_1_LcdDisType_2,
        trans2_LCD_1_LcdDecimalPoint_2
    }
}
MENU Tab_s_LCD_3
{
    LABEL "Define LCD3 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_3,
        trans2_LCD_1_LcdDisType_3,
        trans2_LCD_1_LcdDecimalPoint_3
    }
}
MENU Tab_s_LCD_4
{
    LABEL "Define LCD4 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_4,
        trans2_LCD_1_LcdDisType_4,
        trans2_LCD_1_LcdDecimalPoint_4
    }
}
MENU Tab_s_LCD_5
{
    LABEL "Define LCD5 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_5,
        trans2_LCD_1_LcdDisType_5,
        trans2_LCD_1_LcdDecimalPoint_5
    }
}
MENU Tab_s_LCD_6
{
    LABEL "Define LCD6 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_6,
        trans2_LCD_1_LcdDisType_6,
        trans2_LCD_1_LcdDecimalPoint_6
    }
}
MENU Tab_s_LCD_7
{
    LABEL "Define LCD7 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_7,
        trans2_LCD_1_LcdDisType_7,
        trans2_LCD_1_LcdDecimalPoint_7
    }
}
MENU Tab_s_LCD_8
{
    LABEL "Define LCD8 Variable";
    ITEMS
    {
        trans2_LCD_1_LcdEnable_8,
        trans2_LCD_1_LcdDisType_8,
        trans2_LCD_1_LcdDecimalPoint_8
    }
}

